API SpecificationPRIVATExeonr.auth.private.v1.BrandingService
Upload Brand Profile Image
Uploads the logo or a dark/light background image for a brand profile and returns its public URL.
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
brandProfileId?string
variant?string
Which image slot of a brand profile an upload targets.
Value in
"BRAND_PROFILE_IMAGE_VARIANT_UNSPECIFIED" | "BRAND_PROFILE_IMAGE_VARIANT_LOGO" | "BRAND_PROFILE_IMAGE_VARIANT_BG_DARK" | "BRAND_PROFILE_IMAGE_VARIANT_BG_LIGHT"imageData?string
Format
byteLength
length <= 5242880contentType?string
Value in
"image/png" | "image/jpeg" | "image/webp"[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.BrandingService/UploadBrandProfileImage" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"imageUrl": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}